package de.ivu.elect.sitzberechnung;

import de.ivu.elect.sitzberechnung.konflikt.ErgebnisKonflikt;
import de.ivu.elect.sitzberechnung.konflikt.ErgebnisKonfliktArt;

import java.util.Set;

public interface Sitzberechnungsalgorithmus {

  Sitzberechnungsergebnis berechneSitzverteilung(Sitzberechnungseingabe eingabe);

  Set<ErgebnisKonfliktArt> getErgebnisKonfliktArten();

  ErgebnisKonflikt ergebnisKonfliktFromJson(ErgebnisKonfliktArt ergebnisKonfliktArt, String json);

}
